Filewatcher File Search File Search
Catalog
Content Search
» » » » » pango-graphite-dbg_0.9.3-0.1_i386.deb » Content »
pkg://pango-graphite-dbg_0.9.3-0.1_i386.deb:110424/usr/share/doc/pango-graphite-dbg/  info  control  downloads

pango-graphite-dbg - SILGraphite support for pango - debug symbols…  more info»

README

Requirements
------------

It requires fontconfig >= 2.2.93
It also requires pango to build obviously.
It does not require patches any more.

Building
--------

assuming you are installing everything to the same prefix dir <prefix>

export PATH=<prefix>/bin:$PATH
export LD_LIBRARY_PATH=<prefix>/lib:$LD_LIBRARY_PATH
export PKG_CONFIG_PATH=<prefix>/lib/pkgconfig:$PKG_CONFIG_PATH

Build and install silgraphite to <prefix>
Build and install pangographite to <prefix>

Finally you need to create a file ~/.pangorc which has
[Pango]
ModulesPath=<path to installed pango modules>:<path to installed pangographite module>

e.g.
[Pango]
ModulesPath=/opt/graphite/lib/silgraphite/pango/1.5.2:/opt/graphite/lib/pango/1.4.0/modules

It is important that you put the Graphite modules after the core modules or Graphite 
will not be used in preference to these.

Then run pango-querymodules > <prefix>/etc/pango/pango.modules
e.g. pango-querymodules > /opt/graphite/etc/pango/pango.modules

Now when you run a program - try testtext or gedit, it should start using
Graphite if it can.

*FIXME* This will need to be changed because of the patches in Debian 
and Ubuntu for extra modules
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com